#include "StdAfx.h"
#include <stdio.h>
#include "adctract.h"
#include "..\common\ADCParamCodes.h"

#include "DeviceList.h"
#include <initguid.h>
#include "..\common\AdctractDeviceInterface.h"

#define _ERROR { printf("Error: %i\n", error); return; }


void main ( void )
{
	int i, val;
  ULONG *buf, par;
	int error;
	CADCTract * padc;
  CDeviceList* devices;
  
  devices = new CDeviceList (GUID_ADCTRACT_INTERFACE_CLASS);
  devices->Initialize();
  if (!devices->m_list.GetSize()) {
    printf ("No devices found!\n");
    return ;
  }
  printf ("%u Adctract devices found\n",devices->m_list.GetSize());
	try
	{
		padc=new CADCTract(devices->m_list[0].m_linkname,FALSE);
	}
	catch (char * e)
	{
		printf("%s\n",e);
		return;
	}

  printf ("Connected to device 0 \n link: %s\n",devices->m_list[0].m_linkname);
		// To clean the buffer
		if (error=padc->ClearBuf()) _ERROR;
/*
		// Mode of accumulation - " on real time "
		if (error=padc->SetParamValue(parMode,RealTime)) _ERROR;

		// To establish time of accumulation
		if (error=padc->SetPresetRealTime(10000)) _ERROR;

		// Start of accumulation
		padc->RunChannel();
	*/
	padc->GetRealTime(&val);
	printf("live time: %i \n",  val);
  padc->GetPresetRealTime(&val);
	printf("Preset live time: %i \n",  val);
  padc->GetParamsCount(&val);
	printf("Device supports %i param(s)\n",  val);
  
  char parName[20], parDesc[255];
  DWORD len = sizeof(parName);
  padc->GetParamName(parLLD,parName,&len);
  printf ("Param name=%s\n",parName);

  len = sizeof(parDesc);
  padc->GetParamDescription(parLLD,parDesc,&len);
  printf ("Param description=%s\n",parDesc);

  if (!padc->GetParamValue(parLLD,&par)) {
    padc->SetParamValue(parLLD,par+1);
    printf ("LLD: %i\n", par);
  }
  else
    printf ("LLD not supported!\n");

  padc->ClearBuf();

	// To read the size of the buffer
	if (error=padc->GetBufSize(&val)) _ERROR;
  printf ("Buffer size=%i\n",val);
  
  printf ("Press any key to read buffer\n");
  if (27==getchar()) {
    delete padc; 
    return;
  }

	// To read the buffer
	buf = new ULONG[val];
	padc->ReadBuf(buf,0,val);
  if (!padc->GetParamValue(parULD,&par))
    printf ("HLD: %i\n", par);
  else
  printf ("HLD not supported!\n");

	for (i=0; i<val; i++)
		printf("Channel %u, Count %u\n",i,buf[i]);

	delete buf;
  delete padc; 
  printf ("Press any key to exit...\n");
  getchar();
}