/*
	vmcadWDM.h

	Interface to virtual multichannel analyzer WDM driver

    Copyright (c) 2003, SPC Aspect
*/

#ifndef _VMCADWDM_H
#define _VMCADWDM_H


/*  */
#define errUnsupported        0xf00f0001
#define errInvalidValue       0xf00f0002
#define errChWorked           0xf00f0003
#define errHardwareError      0xf00f0004


/*     */
#define Status_Running          1  //  
#define Status_Stopped          0  //  


typedef struct _SetParamStruct {
  ULONG ParamCode;   //  
  ULONG ParamValue;  //   
} tSetParamStruct, * pSetParamStruct;


/*   */
#define ADC_IOCTL_CODE(code, method, access) CTL_CODE(FILE_DEVICE_CONTROLLER, code, method, access)

#define cmGetBufSize            ADC_IOCTL_CODE(0x801, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define cmSetBufSize            ADC_IOCTL_CODE(0x802, METHOD_BUFFERED, FILE_WRITE_DATA)
#define cmReadBuf               ADC_IOCTL_CODE(0x803, METHOD_OUT_DIRECT, FILE_ANY_ACCESS)
#define cmWriteBuf              ADC_IOCTL_CODE(0x804, METHOD_IN_DIRECT,  FILE_WRITE_DATA)
#define cmClearBuf              ADC_IOCTL_CODE(0x805, METHOD_BUFFERED, FILE_WRITE_DATA)

#define cmGetRealTime           ADC_IOCTL_CODE(0x806, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define cmGetLiveTime           ADC_IOCTL_CODE(0x807, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define cmSetRealTime           ADC_IOCTL_CODE(0x808, METHOD_BUFFERED, FILE_WRITE_DATA)
#define cmSetLiveTime           ADC_IOCTL_CODE(0x809, METHOD_BUFFERED, FILE_WRITE_DATA)
#define cmGetPresetLiveTime     ADC_IOCTL_CODE(0x80A, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define cmGetPresetRealTime     ADC_IOCTL_CODE(0x80B, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define cmSetPresetRealTime     ADC_IOCTL_CODE(0x80C, METHOD_BUFFERED, FILE_WRITE_DATA)
#define cmSetPresetLiveTime     ADC_IOCTL_CODE(0x80D, METHOD_BUFFERED, FILE_WRITE_DATA)

#define cmRunChannel            ADC_IOCTL_CODE(0x80E, METHOD_BUFFERED, FILE_WRITE_DATA)
#define cmStopChannel           ADC_IOCTL_CODE(0x80F, METHOD_BUFFERED, FILE_WRITE_DATA)
#define cmGetStatus             ADC_IOCTL_CODE(0x810, METHOD_BUFFERED, FILE_ANY_ACCESS)

#define cmGetParamCount         ADC_IOCTL_CODE(0x812, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define cmGetParamList          ADC_IOCTL_CODE(0x813, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define cmGetParamValue         ADC_IOCTL_CODE(0x814, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define cmSetParamValue         ADC_IOCTL_CODE(0x815, METHOD_BUFFERED, FILE_WRITE_DATA)

#endif
