///////////////////////////////////////////////////////
//
//              IOCTL Definitions
//
// User mode applications wishing to send IOCTLs to a kernel mode driver
// must use this file to set up the correct type of IOCTL code permissions.
//
// Note: this file depends on the file DEVIOCTL.H which contains the macro
// definition for "CTL_CODE" below.  Include that file before  you include
// this one in your source code. DEVIOCTL.H is a Microsoft header file.
// DEVIOCTL.H is normally obtained by installing the Windows DDK.
//
///////////////////////////////////////////////////////


#define MB_IOCTL_INDEX  0x0B00


//----------------------------------------------------------------------------

#define IOCTL_READ_DSP_PROG      CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   MB_IOCTL_INDEX+34,\
                                                   METHOD_OUT_DIRECT,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_WRITE_DSP_PROG      CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   MB_IOCTL_INDEX+35,\
                                                   METHOD_IN_DIRECT,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_READ_DSP_DATA      CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   MB_IOCTL_INDEX+36,\
                                                   METHOD_OUT_DIRECT,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_WRITE_DSP_DATA     CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   MB_IOCTL_INDEX+37,\
                                                   METHOD_IN_DIRECT,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_READ_IOREG        CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   MB_IOCTL_INDEX+38,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_WRITE_IOREG       CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   MB_IOCTL_INDEX+39,\
                                                   METHOD_IN_DIRECT,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_DSP_RESET           CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   MB_IOCTL_INDEX+41,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_DSP_ADDR           CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   MB_IOCTL_INDEX+42,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)
#define IOCTL_LOAD_DSP        CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   MB_IOCTL_INDEX+43,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)



#define IOCTL_WRITE_DSP_ADDR     CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   MB_IOCTL_INDEX+44,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)


#define IOCTL_EXEC_DSP_CMD     CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   MB_IOCTL_INDEX+45,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)

#define IOCTL_SAVE_PARAM           CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   MB_IOCTL_INDEX+46,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)
#define IOCTL_LOAD_PARAM      CTL_CODE(FILE_DEVICE_UNKNOWN,  \
                                                   MB_IOCTL_INDEX+47,\
                                                   METHOD_BUFFERED,  \
                                                   FILE_ANY_ACCESS)