/*++
Module Name:

    public.h

Abstract:

    This module contains the common declarations shared by driver
    and user applications.

--*/


//
// Define an Interface Guid for toaster device class.
// This GUID is used to register (IoRegisterDeviceInterface) 
// an instance of an interface so that user application 
// can control the toaster device.

// {88D28184-33A0-11d7-9319-0050BF03F7F2}
DEFINE_GUID(GUID_USBMB_BUS_ENUMERATOR_INTERFACE_CLASS, 
0x88d28184, 0x33a0, 0x11d7, 0x93, 0x19, 0x0, 0x50, 0xbf, 0x3, 0xf7, 0xf2);

// {C859C1E6-A012-11d7-931A-0050BF03F7F2}
DEFINE_GUID(GUID_PCIMB_BUS_ENUMERATOR_INTERFACE_CLASS, 
0xc859c1e6, 0xa012, 0x11d7, 0x93, 0x1a, 0x0, 0x50, 0xbf, 0x3, 0xf7, 0xf2);


// {169100C1-31F1-11d7-9319-0050BF03F7F2}
DEFINE_GUID(GUID_ADC_DEVICE_INTERFACE_CLASS, 
0x169100c1, 0x31f1, 0x11d7, 0x93, 0x19, 0x0, 0x50, 0xbf, 0x3, 0xf7, 0xf2);


//
// Define a Setup Class GUID for MCA Class. This is same
// as the MCA CLASS guid in the INF files.

// {E37DAAAB-27D5-11d7-9319-0050BF03F7F2}
DEFINE_GUID(GUID_MCA_SETUP_CLASS, 
0xe37daaab, 0x27d5, 0x11d7, 0x93, 0x19, 0x0, 0x50, 0xbf, 0x3, 0xf7, 0xf2);


// Define a Guid for toaster bus type. This is returned in response to
// IRP_MN_QUERY_BUS_INTERFACE on PDO.

// {84AF2C01-2D5D-11d7-9319-0050BF03F7F2}
DEFINE_GUID(GUID_USBMB_BUS_TYPE, 
0x84af2c01, 0x2d5d, 0x11d7, 0x93, 0x19, 0x0, 0x50, 0xbf, 0x3, 0xf7, 0xf2);

// {73BB5A81-A013-11d7-931A-0050BF03F7F2}
DEFINE_GUID(GUID_PCIMB_BUS_TYPE, 
0x73bb5a81, 0xa013, 0x11d7, 0x93, 0x1a, 0x0, 0x50, 0xbf, 0x3, 0xf7, 0xf2);

// {F4FC09A1-A013-11d7-931A-0050BF03F7F2}
DEFINE_GUID(GUID_PCIMB_INTERFACE_STANDARD, 
0xf4fc09a1, 0xa013, 0x11d7, 0x93, 0x1a, 0x0, 0x50, 0xbf, 0x3, 0xf7, 0xf2);


#ifndef __PUBLIC_H
#define __PUBLIC_H

#define USBMB_HARDWARE_IDS L"USBMB\\ADCTRACT\0"
#define USBMB_HARDWARE_IDS_LENGTH sizeof (USBMB_HARDWARE_IDS)

#define USBMB_COMPATIBLE_IDS L"USBMB\\ADCTRACT\0"
#define USBMB_COMPATIBLE_IDS_LENGTH sizeof(USBMB_COMPATIBLE_IDS)



#endif



